/*

*/

import java.awt.event.*;

/**
   This class has the responsibility of responding to
   key events by updating the state (data) of our
   graphics program and then notifying the graphics
   part of program that it needs to redraw itself (using
   the new state information).

   The methods from the KeyListener interface will be
   called by the Event Dispatch Thread (the "GUI thread")
   whenever the program's user causes the appropriate event.
*/
public class CircleListener implements KeyListener
{
   @Override public void keyPressed(KeyEvent e)
   {
      final int keyCode = e.getKeyCode();
      if (keyCode == KeyEvent.VK_UP)
      {
         CircleProgram.cs.yNew -= 5;
         CircleProgram.cp.repaint();
      }
      else if (keyCode == KeyEvent.VK_DOWN)
      {
         CircleProgram.cs.yNew += 5;
         CircleProgram.cp.repaint();
      }
      else if (keyCode == KeyEvent.VK_LEFT)
      {
         CircleProgram.cs.xNew -= 5;
         CircleProgram.cp.repaint();
      }
      else if (keyCode == KeyEvent.VK_RIGHT)
      {
         CircleProgram.cs.xNew += 5;
         CircleProgram.cp.repaint();
      }
   }
   @Override public void keyReleased(KeyEvent e){ }
   @Override public void keyTyped(KeyEvent e){ }
}
