/*

*/

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Dimension;
import javax.swing.JPanel;

/**
   This class has the responsibility of updating
   what we see (view) in the graphics panel.

   The paintComponent() method will be called by the
   Event Dispatch Thread (the "GUI thread") whenever
   the GUI system decides that this panel needs to be
   redrawn.

   In this version of the program, this class acts as the
   data object and it holds the state of the program.
*/
@SuppressWarnings("serial")
public class CirclePanel extends JPanel
{
   public int xNew = 300; // where the circle needs to be
   public int yNew = 300;
   public int xOld = 300; // where the circle is now
   public int yOld = 300;

   public CirclePanel()
   {
      setPreferredSize(new Dimension(600, 600));
   }


   @Override
   public void paintComponent(Graphics g)
   {
      g.setColor(Color.white);
      g.fillOval(xOld, yOld, 20, 20); // erase old disk
      g.setColor(Color.red);
      g.fillOval(xNew, yNew, 20, 20); // draw new disk
      xOld = xNew;
      yOld = yNew;
   }
}
